From 322624f042eeaf4c7d21af113174d55e1f1bf322 Mon Sep 17 00:00:00 2001
From: Petri Hintukainen <phintuka@gmail.com>
Date: Tue, 18 Aug 2015 14:06:37 +0300
Subject: [PATCH 4/7] bluray: factorize blurayReleaseVout()

---
 modules/access/bluray.c | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

diff --git a/modules/access/bluray.c b/modules/access/bluray.c
index d5c23fc..3846e3f 100644
--- a/modules/access/bluray.c
+++ b/modules/access/bluray.c
@@ -272,6 +272,18 @@ static void FindMountPoint(char **file)
 #endif
 }
 
+static void blurayReleaseVout(demux_t *p_demux)
+{
+    demux_sys_t *p_sys = p_demux->p_sys;
+
+    if (p_sys->p_vout != NULL) {
+        var_DelCallback(p_sys->p_vout, "mouse-moved", onMouseEvent, p_demux);
+        var_DelCallback(p_sys->p_vout, "mouse-clicked", onMouseEvent, p_demux);
+        vlc_object_release(p_sys->p_vout);
+        p_sys->p_vout = NULL;
+    }
+}
+
 /*****************************************************************************
  * cache current playlist (title) information
  *****************************************************************************/
@@ -488,11 +500,8 @@ static void blurayClose(vlc_object_t *object)
     assert(p_sys->bluray);
     bd_close(p_sys->bluray);
 
-    if (p_sys->p_vout != NULL) {
-        var_DelCallback(p_sys->p_vout, "mouse-moved", onMouseEvent, p_demux);
-        var_DelCallback(p_sys->p_vout, "mouse-clicked", onMouseEvent, p_demux);
-        vlc_object_release(p_sys->p_vout);
-    }
+    blurayReleaseVout(p_demux);
+
     if (p_sys->p_parser)
         stream_Delete(p_sys->p_parser);
     if (p_sys->p_out != NULL)
@@ -786,12 +795,7 @@ static void blurayCloseOverlay(demux_t *p_demux, int plane)
             return;
 
     /* All overlays have been closed */
-    if (p_sys->p_vout != NULL) {
-        var_DelCallback(p_sys->p_vout, "mouse-moved", onMouseEvent, p_demux);
-        var_DelCallback(p_sys->p_vout, "mouse-clicked", onMouseEvent, p_demux);
-        vlc_object_release(p_sys->p_vout);
-        p_sys->p_vout = NULL;
-    }
+    blurayReleaseVout(p_demux);
 }
 
 /*
-- 
2.1.4

